#include <bits/stdc++.h>
using namespace std;
set<int> s;
long long set2(long long a){
    long long res = 1;
    while(a!=0){
        res*=a%10;
        a/=10;
    }
  //  cout << res << endl;
    return res;
}
int main(){
    long long t, n;
    cin >> t;
    while(t--){
        s.clear();
        cin >> n;

        for(long long i = 1; i<=n; i++){
            s.insert(set2(i));
        }
        cout << s.size() << endl;
    }
    return 0;
}